<ion-header class="transparent">
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu" style="color: #fff;"></ion-icon>
    </button>
    <ion-title>Find A Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="back-image grey-background">

	<!-- Make tabs
	<ion-tabs class="tabs-positive" tabsPlacement="top">
		<ion-tab [root]="actions" tabTitle="Normal"></ion-tab>
		<ion-tab [root]="messages" tabTitle="Airport"></ion-tab>
	</ion-tabs> -->
	
	<div class="main-search-form">

		<!-- Change this to TABS! --> 
		<div class="search-airport top-mar-20">
			<ion-item>
				<ion-label><ion-icon name="plane" class="no-border" style="margin-right: 12px;"></ion-icon>Airport Only</ion-label>
				<ion-toggle ([ngModule])="aiportRides" (ionChange)="changeStatus()" color="light"></ion-toggle>
			</ion-item>
		</div>

		<div *ngIf="!aiportRides">
			<form [formGroup]="searchRides" >
				<ion-list>
					<ion-icon name="compass" class="current_loc" (click)="getCurrentLocation()"></ion-icon>
					<ion-item>
						<ion-label>From</ion-label>
						<ion-input [formControl]="searchRides.controls['from']" [(ngModel)]="autocomplete_from.input" 
						(keyup)="updateSearchResultsFrom()" placeholder="Starting Location" type="text" id="searbar_from" clearInput></ion-input>
					</ion-item>
					
					<ion-list [hidden]="autocompleteItemsFrom.length == 0" >
					    <ion-item *ngFor="let item of autocompleteItemsFrom" 
					    (click)="selectSearchResultFrom($event,item)">
					      {{ item.description }}
					    </ion-item>
					</ion-list>

					<ion-item>
						<ion-label>To</ion-label>
						<ion-input [formControl]="searchRides.controls['to']" [(ngModel)]="autocomplete_to.input" 
						(keyup)="updateSearchResultsTo()" placeholder="Ending Location" type="text" clearInput></ion-input>
					</ion-item>

					<ion-list [hidden]="autocompleteItemsTo.length == 0">
					    <ion-item *ngFor="let item of autocompleteItemsTo" tappable (click)="selectSearchResultTo(item)">
					      {{ item.description }}
					    </ion-item>
					</ion-list>

				</ion-list>
				<div class="search-date">
					<ion-item>
						<ion-label><ion-icon name="custom-calendar" class="no-border"></ion-icon></ion-label>
						<ion-datetime [formControl]="searchRides.controls['date']" [min]="minDate" max="2020" displayFormat="D MMM YYYY" placeholder="Date">
						</ion-datetime>
					</ion-item>
				</div>
				<button ion-button block class="btn rounded-2 top-mar-20" color="white" (click)="searchRidesForm()">Search</button>
			</form>
		</div>


		<div *ngIf="aiportRides">
			<div style="margin-bottom: 30px;">
				<ion-item>
					<ion-select [(ngModel)]="airportSelect">
						<ion-option disabled selected> Select an airport </ion-option > 
						<ion-option *ngFor="let air of airports" [value]="air"> 
							{{air.name}} - {{air.city}} 
						</ion-option>
					</ion-select>
				</ion-item> 
			</div>
			<div class="search-date">
				<ion-item>
					<ion-label><ion-icon name="custom-calendar" class="no-border"></ion-icon></ion-label>
					<ion-datetime [formControl]="searchRides.controls['date']" [min]="minDate" max="2020" displayFormat="D MMM YYYY" placeholder="Date">
					</ion-datetime>
				</ion-item>
			</div>

			<button ion-button block class="btn rounded-2 top-mar-20" color="light" (click)="searchAirport()">Search</button>

		</div> 
	</div>
	<div id="map"></div>

</ion-content>
